dbXML API

## com.dbxml.db.server.labrador
Class CollectionProxy

    java.lang.Object
      com.dbxml.db.server.labrador.CollectionProxy

public final class CollectionProxy
extends java.lang.Object

CollectionProxy is a proxy facade that is used to expose Collection functionality via Labrador.

Field Summary
`static java.lang.String` `CANONICAL_NAME`
`static java.lang.String` `COLLECTION_TYPE`
`static java.lang.String` `NAME`
`static java.lang.String[]` `PARAMS_createCollection`
`static java.lang.String[]` `PARAMS_createExtension`
`static java.lang.String[]` `PARAMS_createIndexer`
`static java.lang.String[]` `PARAMS_createTrigger`
`static java.lang.String[]` `PARAMS_dropCollection`
`static java.lang.String[]` `PARAMS_dropExtension`
`static java.lang.String[]` `PARAMS_dropIndexer`
`static java.lang.String[]` `PARAMS_dropTrigger`
`static java.lang.String[]` `PARAMS_getCollection`
`static java.lang.String[]` `PARAMS_getDocument`
`static java.lang.String[]` `PARAMS_getExtension`
`static java.lang.String[]` `PARAMS_getValue`
`static java.lang.String[]` `PARAMS_insertDocument`
`static java.lang.String[]` `PARAMS_insertValue`
`static java.lang.String[]` `PARAMS_queryCollection`
`static java.lang.String[]` `PARAMS_queryDocument`
`static java.lang.String[]` `PARAMS_remove`
`static java.lang.String[]` `PARAMS_setDocument`
`static java.lang.String[]` `PARAMS_setValue`
`static java.lang.String` `PARENT_COLLECTION`
`static java.lang.String` `REST_CONTENT_TYPE_getDocument`
`static java.lang.String` `REST_CONTENT_TYPE_queryCollection`
`static java.lang.String` `REST_CONTENT_TYPE_queryDocument`
`static java.lang.String` `REST_DEFAULT_METHOD`

Constructor Summary
`CollectionProxy(Collection col)`

Method Summary
`java.lang.String` `createCollection(java.lang.String path, org.w3c.dom.Document configuration)`
`java.lang.String` `createExtension(org.w3c.dom.Document configuration)`
`java.lang.String` `createIndexer(org.w3c.dom.Document configuration)`
`java.lang.String` `createKey()`
`java.lang.String` `createTrigger(org.w3c.dom.Document configuration)`
`boolean` `dropCollection(java.lang.String name)`
`boolean` `dropExtension(java.lang.String name)`
`boolean` `dropIndexer(java.lang.String name)`
`boolean` `dropTrigger(java.lang.String name)`
`org.w3c.dom.Document` `get()`
`java.lang.String` `getCollection(java.lang.String name)`
`java.lang.String` `getDatabase()`
`java.lang.String` `getDocument(java.lang.String docKey)`
`java.lang.String` `getExtension(java.lang.String name)`
`java.util.Map` `getInformation()`
`long` `getKeyCount()`
`java.lang.String` `getSystemCollection()`
`byte[]` `getValue(java.lang.String key)`
`java.lang.String` `insertDocument(java.lang.String document)`
`java.lang.String` `insertValue(byte[] value)`
`java.lang.String[]` `listCollections()`
`java.lang.String[]` `listExtensions()`
`java.lang.String[]` `listIndexers()`
`java.lang.String[]` `listKeys()`
`java.lang.String[]` `listTriggers()`
`java.lang.String` `queryCollection(java.lang.String style, java.lang.String query, java.util.Map nsMap)`
`java.lang.String` `queryDocument(java.lang.String style, java.lang.String query, java.util.Map nsMap, java.lang.String key)`
`void` `remove(java.lang.String docKey)`
`void` `setDocument(java.lang.String docKey, java.lang.String document)`
`void` `setValue(java.lang.String key, byte[] value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REST_DEFAULT_METHOD

    public static final java.lang.String REST_DEFAULT_METHOD

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### PARENT_COLLECTION

    public static final java.lang.String PARENT_COLLECTION

See Also:
  Constant Field Values

### CANONICAL_NAME

    public static final java.lang.String CANONICAL_NAME

See Also:
  Constant Field Values

### COLLECTION_TYPE

    public static final java.lang.String COLLECTION_TYPE

See Also:
  Constant Field Values

### PARAMS_getCollection

    public static final java.lang.String[] PARAMS_getCollection

### PARAMS_createCollection

    public static final java.lang.String[] PARAMS_createCollection

### PARAMS_dropCollection

    public static final java.lang.String[] PARAMS_dropCollection

### PARAMS_createTrigger

    public static final java.lang.String[] PARAMS_createTrigger

### PARAMS_dropTrigger

    public static final java.lang.String[] PARAMS_dropTrigger

### PARAMS_createIndexer

    public static final java.lang.String[] PARAMS_createIndexer

### PARAMS_dropIndexer

    public static final java.lang.String[] PARAMS_dropIndexer

### PARAMS_getExtension

    public static final java.lang.String[] PARAMS_getExtension

### PARAMS_createExtension

    public static final java.lang.String[] PARAMS_createExtension

### PARAMS_dropExtension

    public static final java.lang.String[] PARAMS_dropExtension

### PARAMS_getDocument

    public static final java.lang.String[] PARAMS_getDocument

### REST_CONTENT_TYPE_getDocument

    public static final java.lang.String REST_CONTENT_TYPE_getDocument

See Also:
  Constant Field Values

### PARAMS_insertDocument

    public static final java.lang.String[] PARAMS_insertDocument

### PARAMS_setDocument

    public static final java.lang.String[] PARAMS_setDocument

### PARAMS_remove

    public static final java.lang.String[] PARAMS_remove

### PARAMS_insertValue

    public static final java.lang.String[] PARAMS_insertValue

### PARAMS_setValue

    public static final java.lang.String[] PARAMS_setValue

### PARAMS_getValue

    public static final java.lang.String[] PARAMS_getValue

### PARAMS_queryCollection

    public static final java.lang.String[] PARAMS_queryCollection

### REST_CONTENT_TYPE_queryCollection

    public static final java.lang.String REST_CONTENT_TYPE_queryCollection

See Also:
  Constant Field Values

### PARAMS_queryDocument

    public static final java.lang.String[] PARAMS_queryDocument

### REST_CONTENT_TYPE_queryDocument

    public static final java.lang.String REST_CONTENT_TYPE_queryDocument

See Also:
  Constant Field Values

Constructor Detail

### CollectionProxy

    public CollectionProxy(Collection col)

Method Detail

### getInformation

    public java.util.Map getInformation()
                                 throws DBException

  Throws:
    `DBException`

### get

    public org.w3c.dom.Document get()
                             throws DBException

  Throws:
    `DBException`

### getDatabase

    public java.lang.String getDatabase()

### getSystemCollection

    public java.lang.String getSystemCollection()
                                         throws DBException

  Throws:
    `DBException`

### getCollection

    public java.lang.String getCollection(java.lang.String name)
                                   throws DBException

  Throws:
    `DBException`

### createCollection

    public java.lang.String createCollection(java.lang.String path,
                                             org.w3c.dom.Document configuration)
                                      throws DBException

  Throws:
    `DBException`

### listCollections

    public java.lang.String[] listCollections()
                                       throws DBException

  Throws:
    `DBException`

### dropCollection

    public boolean dropCollection(java.lang.String name)
                           throws DBException

  Throws:
    `DBException`

### createTrigger

    public java.lang.String createTrigger(org.w3c.dom.Document configuration)
                                   throws DBException

  Throws:
    `DBException`

### dropTrigger

    public boolean dropTrigger(java.lang.String name)
                        throws DBException

  Throws:
    `DBException`

### listTriggers

    public java.lang.String[] listTriggers()
                                    throws DBException

  Throws:
    `DBException`

### createIndexer

    public java.lang.String createIndexer(org.w3c.dom.Document configuration)
                                   throws DBException

  Throws:
    `DBException`

### dropIndexer

    public boolean dropIndexer(java.lang.String name)
                        throws DBException

  Throws:
    `DBException`

### listIndexers

    public java.lang.String[] listIndexers()
                                    throws DBException

  Throws:
    `DBException`

### getExtension

    public java.lang.String getExtension(java.lang.String name)
                                  throws DBException

  Throws:
    `DBException`

### createExtension

    public java.lang.String createExtension(org.w3c.dom.Document configuration)
                                     throws DBException

  Throws:
    `DBException`

### listExtensions

    public java.lang.String[] listExtensions()
                                      throws DBException

  Throws:
    `DBException`

### dropExtension

    public boolean dropExtension(java.lang.String name)
                          throws DBException

  Throws:
    `DBException`

### createKey

    public java.lang.String createKey()
                               throws DBException

  Throws:
    `DBException`

### getDocument

    public java.lang.String getDocument(java.lang.String docKey)
                                 throws DBException

  Throws:
    `DBException`

### insertDocument

    public java.lang.String insertDocument(java.lang.String document)
                                    throws DBException

  Throws:
    `DBException`

### setDocument

    public void setDocument(java.lang.String docKey,
                            java.lang.String document)
                     throws DBException

  Throws:
    `DBException`

### remove

    public void remove(java.lang.String docKey)
                throws DBException

  Throws:
    `DBException`

### listKeys

    public java.lang.String[] listKeys()
                                throws DBException

  Throws:
    `DBException`

### getKeyCount

    public long getKeyCount()
                     throws DBException

  Throws:
    `DBException`

### insertValue

    public java.lang.String insertValue(byte[] value)
                                 throws DBException

  Throws:
    `DBException`

### setValue

    public void setValue(java.lang.String key,
                         byte[] value)
                  throws DBException

  Throws:
    `DBException`

### getValue

    public byte[] getValue(java.lang.String key)
                    throws DBException

  Throws:
    `DBException`

### queryCollection

    public java.lang.String queryCollection(java.lang.String style,
                                            java.lang.String query,
                                            java.util.Map nsMap)
                                     throws DBException

  Throws:
    `DBException`

### queryDocument

    public java.lang.String queryDocument(java.lang.String style,
                                          java.lang.String query,
                                          java.util.Map nsMap,
                                          java.lang.String key)
                                   throws DBException

  Throws:
    `DBException`

dbXML API

Copyright (c) 2004 The dbXML Group